Remediation Stats
curl --request GET \
--url http://{host}:{port}/{basePath}/analytics/remediation-stats \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/analytics/remediation-stats"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/analytics/remediation-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "AnalyticsRemediationStats",
"metadata": {
"from": "2026-02-19T00:00:00Z",
"to": "2026-03-19T15:00:00Z"
},
"stats": [
{
"action": "RestartDeployment",
"total": 45,
"successful": 42,
"failed": 3,
"successRate": 0.93,
"avgDuration": 135.0
},
{
"action": "ScaleDeployment",
"total": 28,
"successful": 27,
"failed": 1,
"successRate": 0.96,
"avgDuration": 90.0
},
{
"action": "RollbackDeployment",
"total": 15,
"successful": 12,
"failed": 3,
"successRate": 0.80,
"avgDuration": 225.0
},
{
"action": "AdjustResources",
"total": 20,
"successful": 19,
"failed": 1,
"successRate": 0.95,
"avgDuration": 70.0
},
{
"action": "Agentic",
"total": 8,
"successful": 5,
"failed": 3,
"successRate": 0.63,
"avgDuration": 380.0
}
]
}
Analytics
Analytics Remediation Stats
Returns remediation success rates grouped by primary strategy β based on the final outcome of each remediation plan (Completed vs Failed/RolledBack)
GET
/
analytics
/
remediation-stats
Remediation Stats
string
Start date in RFC3339 format
string
End date in RFC3339 format
Calculation Methodology
Success rate is based on the final state of the RemediationPlan, not individual actions:- Completed = success (the incident was resolved)
- Failed / RolledBack = failure
strategy field or first action from the history).
Only terminal-state plans (Completed, Failed, RolledBack) are counted. In-progress plans (Pending, Executing, Verifying) do not affect the success rate.
Orphaned plans (whose parent Issue has been deleted) are automatically excluded from the calculation.
{
"apiVersion": "v1",
"kind": "AnalyticsRemediationStats",
"metadata": {
"from": "2026-02-19T00:00:00Z",
"to": "2026-03-19T15:00:00Z"
},
"stats": [
{
"action": "RestartDeployment",
"total": 45,
"successful": 42,
"failed": 3,
"successRate": 0.93,
"avgDuration": 135.0
},
{
"action": "ScaleDeployment",
"total": 28,
"successful": 27,
"failed": 1,
"successRate": 0.96,
"avgDuration": 90.0
},
{
"action": "RollbackDeployment",
"total": 15,
"successful": 12,
"failed": 3,
"successRate": 0.80,
"avgDuration": 225.0
},
{
"action": "AdjustResources",
"total": 20,
"successful": 19,
"failed": 1,
"successRate": 0.95,
"avgDuration": 70.0
},
{
"action": "Agentic",
"total": 8,
"successful": 5,
"failed": 3,
"successRate": 0.63,
"avgDuration": 380.0
}
]
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Start date (RFC3339).
End date (RFC3339).
βI